tbb::internal::concurrent_vector_base_v3::helper::segment_not_used_predicate Struct Reference
Inheritance diagram for tbb::internal::concurrent_vector_base_v3::helper::segment_not_used_predicate:
Collaboration diagram for tbb::internal::concurrent_vector_base_v3::helper::segment_not_used_predicate:

## Public Member Functions

| segment_not_used_predicate (segment_t &segment)
bool | operator() () const
Public Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Public Attributes

segment_t & | s

## Detailed Description

Definition at line 99 of file concurrent_vector.cpp.

## Constructor & Destructor Documentation

## segment_not_used_predicate()

tbb::internal::concurrent_vector_base_v3::helper::segment_not_used_predicate::segment_not_used_predicate | ( | segment_t & | segment | ) |

inline

Definition at line 101 of file concurrent_vector.cpp.

: s(segment) {}

## Member Function Documentation

## operator()()

bool tbb::internal::concurrent_vector_base_v3::helper::segment_not_used_predicate::operator() | ( |  | ) | const

inline

Definition at line 102 of file concurrent_vector.cpp.

{ return s.load<relaxed>() == segment_not_used ();}

References tbb::internal::concurrent_vector_base_v3::segment_t::load(), tbb::relaxed, and s.

Here is the call graph for this function:

## Member Data Documentation

## s

segment_t& tbb::internal::concurrent_vector_base_v3::helper::segment_not_used_predicate::s

Definition at line 100 of file concurrent_vector.cpp.

Referenced by operator()().

The documentation for this struct was generated from the following file:

- concurrent_vector.cpp

tbb::relaxed
No ordering.
Definition: atomic.h:61
tbb::internal::concurrent_vector_base_v3::segment_t::load
segment_value_t load() const
Definition: concurrent_vector.h:147
tbb::internal::concurrent_vector_base_v3::helper::segment_not_used_predicate::s
segment_t & s
Definition: concurrent_vector.cpp:100

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.